Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707770 - games-roguelike/angband-4.2.0 : fails to build with -fno-common or gcc-10
Summary: games-roguelike/angband-4.2.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-01 15:02 UTC by Toralf Förster
Modified: 2020-02-29 11:40 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.74 KB, text/plain)
2020-02-01 15:02 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,333.13 KB, text/plain)
2020-02-01 15:02 UTC, Toralf Förster
Details
environment (environment,78.01 KB, text/plain)
2020-02-01 15:02 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,19.04 KB, application/x-bzip)
2020-02-01 15:02 UTC, Toralf Förster
Details
games-roguelike:angband-4.2.0:20200201-125148.log (games-roguelike:angband-4.2.0:20200201-125148.log,115.66 KB, text/plain)
2020-02-01 15:02 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,6.38 KB, application/x-bzip)
2020-02-01 15:02 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,27.34 KB, application/x-bzip)
2020-02-01 15:03 UTC, Toralf Förster
Details
angband-4.2.0-gcc-10.patch (angband-4.2.0-gcc-10.patch,471 bytes, patch)
2020-02-01 19:01 UTC, Sergei Trofimovich
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-01 15:02:40 UTC
	err=$?; printf "Failed to compile z-virt.c!\n"; exit $err; \
fi
Successfully compiled z-virt.c.
x86_64-pc-linux-gnu-gcc -Wl,-O1 -Wl,--as-needed  -nostdlib -r -o angband.o cave.o cave-map.o cave-square.o cave-view.o cmd-cave.o cmd-core.o cmd-misc.o cmd-obj.o cmd-pickup.o datafile.o debug.o effects.o game-event.o game-input.o game-world.o generate.o gen-cave.o gen-chunk.o gen-monster.o gen-room.o gen-util.o grafmode.o guid.o init.o load.o message.o mon-attack.o mon-blows.o mon-desc.o mon-group.o mon-init.o mon-list.o mon-lore.o mon-make.o mon-move.o mon-msg.o mon-predicate.o mon-spell.o mon-summon.o mon-timed.o mon-util.o obj-chest.o obj-curse.o obj-desc.o obj-gear.o obj-ignore.o obj-info.o obj-init.o obj-knowledge.o obj-list.o obj-make.o obj-pile.o obj-power.o obj-properties.o obj-randart.o obj-slays.o obj-tval.o obj-util.o option.o parser.o randname.o player-attack.o player-birth.o player-calcs.o player-class.o player-history.o player-path.o player-quest.o player-race.o player-spell.o player-timed.o player-util.o player.o project.o project-feat.o project-mon.o project-obj.o project-player.o score.o save.o savefile.o sound-core.o source.o store.o target.o trap.o ui-birth.o ui-command.o ui-context.o ui-curse.o ui-death.o ui-display.o ui-event.o ui-game.o ui-help.o ui-history.o ui-init.o ui-input.o ui-keymap.o ui-knowledge.o ui-map.o ui-menu.o ui-mon-list.o ui-mon-lore.o ui-obj-list.o ui-object.o ui-options.o ui-output.o ui-player.o ui-prefs.o ui-score.o ui-signals.o ui-spell.o ui-store.o ui-target.o ui-term.o wiz-debug.o wiz-spoil.o wiz-stats.o  buildid.o z-bitflag.o z-color.o z-dice.o z-expression.o z-file.o z-form.o z-quark.o z-queue.o z-rand.o z-set.o z-textblock.o z-type.o z-util.o z-virt.o
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: cave-map.o:(.bss+0x0): multiple definition of `blow_methods'; cave.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: cave-map.o:(.bss+0x8): multiple definition of `blow_effects'; cave.o:(.bss+0x8): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sat, 01 Feb 2020 11:48:01 +0000

emerge -qpvO games-roguelike/angband
[ebuild  N    ] games-roguelike/angband-4.2.0  USE="ncurses -X -sdl -sdl2 -sound"
Comment 1 Toralf Förster gentoo-dev 2020-02-01 15:02:43 UTC
Created attachment 610436 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-01 15:02:46 UTC
Created attachment 610438 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-01 15:02:48 UTC
Created attachment 610440 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-01 15:02:51 UTC
Created attachment 610442 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-01 15:02:55 UTC
Created attachment 610444 [details]
games-roguelike:angband-4.2.0:20200201-125148.log
Comment 6 Toralf Förster gentoo-dev 2020-02-01 15:02:58 UTC
Created attachment 610446 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-02-01 15:03:00 UTC
Created attachment 610448 [details]
temp.tbz2
Comment 8 Sergei Trofimovich gentoo-dev 2020-02-01 19:01:52 UTC
Created attachment 610550 [details, diff]
angband-4.2.0-gcc-10.patch
Comment 9 Larry the Git Cow gentoo-dev 2020-02-29 11:40:15 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=03c993729b80cc6835e8213ef80265b3b02e5305

commit 03c993729b80cc6835e8213ef80265b3b02e5305
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-02-29 11:39:27 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-02-29 11:40:07 +0000

    games-roguelike/angband: tweak for gcc-10, bug #707770
    
    Closes: https://bugs.gentoo.org/707770
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 games-roguelike/angband/angband-4.2.0.ebuild       |  4 +++-
 .../angband/files/angband-4.2.0-gcc-10.patch       | 22 ++++++++++++++++++++++
 2 files changed, 25 insertions(+), 1 deletion(-)